
function result = myfunction(nsize)
  A = rand(nsize);
  ns = nsize;
  for k = 1 : ns
      A(k,k) = A(k,k) + sin( double(k)*12.345 ); 
  end 

  Asquare = matrix_square(A);

  fprintf('nsize = %d\n', nsize);
  fprintf('Asquare(1,1) = %1.7f\n', Asquare(1,1) );
  fprintf('Asquare(nsize,nsize) = %1.7f\n', Asquare(nsize,nsize) );
